+++
title = 'Adding a background image'
show_toc = false
weight = 5
+++

Adding a background image for your website is *very* easy.

Inside your website folder, there is an `assets/` folder.

Simply create a `background/` folder inside that and put
in there any JPG, PNG or WEBP you want!

Note that if you put multiple pictures in there,
Silicate will take the first one in alphabetical order.

For example, if you downloaded the resource archive
from the [Getting started tutorials]({{% relRef "tutorials/getting-started/new-comic-and-pages/" %}}),
there is a background image in `background/`: `bg_ep7.jpg`.

Just put the picture inside `assets/background/`.

Your files should now be like this:

```
my_webcomic/
    hugo.toml
    assets/
        background/
            bg_ep7.jpg
    content/
        about.md
        comic/
            _index.md
            E01P01/
                index.md
                transcript.md
                strips/
                    E01P01.jpg
```

And now, the website should look a lot better!:

![Website with background](website_background.jpg)
