+++
title = 'Why should I use Silicate?'
slug = 'why-silicate'
weight = 1
+++

Silicate is a [Hugo](https://gohugo.io/) theme dedicated to creating a comic website!
You can work on your website directly on your computer then publish it on any web host you want!

This website also provides a [handy guide]({{% relref "tutorials/" %}}) to get started!

----------

> Can't I already host my webcomic on websites like Webtoon, Tapas, DeviantArt, HiveWorks, etc.?

You could, but they are *for profit* companies, they will not have your best interest
at heart.
What if they bring you into [predatory contracts](https://www.comicsbeat.com/webtoon-originals-contract-draws-criticism-from-creators/)?
Or [fully buy into AI slop](https://news.artnet.com/art-world/deviantart-dreamup-ai-generator-creators-rights-ip-controversy-2210607)?
Or even [pull the plug](https://www.comicsbeat.com/hiveworks-comics-sunsets-publishing-program/) on some features?

Long story short: you will never truly be in control of your website on these platforms.
And you most likely will be seen as resource.

Putting your webcomic online *yourself* provides some security and agency, and for very little cost!

----------

> Is Silicate / Hugo like WordPress?

No, they are very different.

WordPress is a web server : it needs an actual server running non-stop. When a person asks for a page, WordPress creates the page
on the fly. WordPress provides *dynamic* websites.

Hugo, on the other hand, is a program that pre-creates all the pages that your
website will need, once, on your own computer.
You can then put them on your server and they will be given to the user directly. Hugo provides *static* websites.

----------

> Why not use WordPress? Lots of people use WordPress!

WordPress is everywhere, yes. Most web hosting platforms will even pre-install it for you.
But it has its drawbacks.

WordPress alone isn't enough to host a webcomic properly. You'll need a theme and maybe a plugin.
But sometime plugins gets abandoned, like [ComicPress](https://github.com/Frumph/comicpress) which hasn't
been updated in 3 years. Then you need to change themes or plugins, and it's a *mess*.

Also, WordPress is an actual web server - it can have [vulnerabilities](https://en.wikipedia.org/wiki/WordPress#Vulnerabilities) and be hacked.
So you need to keep it up to date.
But updates can break your plugins.
Losing hours fixing up your WordPress because it broke down aren't fun.

And WordPress is its very own [can of worms](https://en.wikipedia.org/wiki/WP_Engine#WordPress_dispute_and_lawsuit).


With Hugo and Silicate, you generate a static website. Since there is no web server, there are far fewer security risks!
And there is no problem keeping the same version of Hugo and this theme forever. Even if Hugo disapears -- but why would it?
It's been around for 10 years -- and this theme is no longer updated, you'll still be able to use them forever.

----------

> Come on, you're just trying to sell me Silicate. Since WordPress is still around it must have advantages!

You are correct! Twice!
Wordpress *does* have some advantages, especially using the Toocheke [theme](#) and [plugin](#), so here's a small comparison :

|                                | Silicate / Hugo                | WordPress                      |
| ------------------------------ | ------------------------------ | ------------------------------ |
| ------------------------------ | ------------------------------ | ------------------------------ |
| Setup                          | Medium                         | **Often pre-installed by web hosts** |
| Can try without web host       | **Easy**                       | Fairly technical               |
| Complexity                     | **Low**                        | Medium                         |
| ------------------------------ | ------------------------------ | ------------------------------ |
| Managing content               | **Very easy using text files** | Easy if using plugins only     |
| GUI to manage content          | Your own PC                    | **Dedicated GUI in web browser** |
| Multilingual support           | **Built-in and easy**          | Poor - need plugins            |
| RSS Feed                       | **Built-it and automatic**     | Automatic using plugins        |
| Private pages for Patreons     | No                             | **Using plugins**              |
| ------------------------------ | ------------------------------ | ------------------------------ |
| Can customize styling with CSS | Easy                           | Easy                           |
| Can configure pages layout     | Yes                            | **Yes, with visual editor**    |
| Can fully customize any layout | **Yes, but technical**         | No, some parts can't change    |
| ------------------------------ | ------------------------------ | ------------------------------ |
| Publication method             | Via file transfer (SFTP, etc.) | **Through web GUI**            |
| Can publish page at set date   | No (requires manual operation) | **Yes**                        |
| ------------------------------ | ------------------------------ | ------------------------------ |
| Security                       | **Secure by design**           | Often vulnerable               |
| Updates can break your site    | **Low risk**                   | High risk                      |
| Updates are mandatory          | **No**                         | Yes                            |
| Can preview update effects     | **Yes**                        | No                             |
| Backups                        | **Locally and/or web host**    | Through web host               |


To sum it up:

- Hugo / Silicate is lighter -- but simpler -- than WordPress
- You can **try it on your own computer without a web host**
- It is way more secure and requires less maintenance than Wordpress
- You can customise **everything** if you don't mind getting you hands dirty
- But you **can't have dynamic pages** like patreon-only and password-protected pages
